## Installation
Our method is based on the [MMPreTrain](https://github.com/open-mmlab/mmpretrain/tree/mmcls-1.x) framework
Below are quick steps for installation:

```shell
conda create -n mmpretrain_SLO python=3.8 -y
conda activate mmpretrain_SLO
pip install torch==1.13.1+cu117 torchvision==0.14.1+cu117 torchaudio==0.13.1 --extra-index-url https://download.pytorch.org/whl/cu117
pip install openmim
cd Trustdetector
mim install -e .
pip install -r requirements_SLO.txt -i https://pypi.tuna.tsinghua.edu.cn/simple some-package
```
More detailed installation and dataset preparation can be found [install.md](https://mmclassification.readthedocs.io/en/1.x/get_started.html).
## Pipeline Instruction

Below are quick steps for experiments, config files can be found in "configs_SLO", and modules can be found in "mmcls".
```shell
# single GPU do train
PORT=12345 CUDA_VISIBLE_DEVICES=0 python tools/train.py configs_SLO/trustdetector/trustdetector_SLO_multi_labels.py

# multi GPUs do train
PORT=12345 CUDA_VISIBLE_DEVICES=0,1,2,3 bash ./tools/dist_train.sh configs_SLO/trustdetector/trustdetector_SLO_multi_labels.py 4

# do test
PORT=12345 CUDA_VISIBLE_DEVICES=0,1,2,3 bash ./tools/dist_test.sh work_dirs/log_folder1/vis_data/config.py work_dirs/log_folder1/epoch_150.pth  4 --out work_dirs/log_folder1/pred.pkl --out-item "pred"
```

# Module Code

#### Main configs file can be found in the following folder:
- `TrustDetector/configs_SLO/trustDetector/trustdetector_SLO_multi_labels.py`

#### Our proposed module, which includes Eye-wise Consistency (SLO_eyecon_loss) and Rank-based Contrastive (SLO_eyerank_loss), can be found in the following directory:

- `TrustDetector/mmcls/models/losses/SLO_eyecon_loss`
- `TrustDetector/mmcls/models/losses/SLO_eyerank_loss`

#### Modified Dataset Sampler Code,The code can be located at:

- `TrustDetector/mmcls/datasets/samplers/modified_sampler`

#### For more detailed implementation information, please refer to the following directories:

- `TrustDetector/mmcls`
- `TrustDetector/configs_SLO`

If you are interested in understanding the specifics of our implementation, explore these folders for a deeper insight into the code and configurations.
