_base_ = [
    '../_base_/datasets/SLO_datasets_bs32_multi_labels_CL.py',
    '../_base_/schedules/Adamw_coslr.py',
    '../_base_/default_runtime.py'
]

model = dict(
    type='TrustDetection',
    backbone=dict(
        type='ConvNeXt',
        arch='tiny',
        drop_path_rate=0.2,
        init_cfg=dict(type='Pretrained',
                      prefix='backbone',
                      checkpoint='https://download.openmmlab.com/mmclassification/v0/convnext/convnext-tiny_in21k'
                                 '-pre_3rdparty_in1k-384px_20221219-c1182362.pth')
    ),
    contrastive_loss_1=dict(type='EyeConLoss', embeddims=128, temperature=0.07, labeltype="info", lossweight_alpha=0.2),
    contrastive_loss_2=dict(type='RankLoss', embeddims=128, temperature=0.07, lossweight_beta=0.1),
    head=dict(
        type='MultiTaskHead',
        task_heads={
            'T0': dict(type='ModifiedLinearClsHead', p=0.2, num_classes=2,
                       loss=dict(type='CrossEntropyLoss', loss_weight=1.0, class_weight=[0.0419, 0.9581])),
            'T1': dict(type='ModifiedLinearClsHead', p=0.2, num_classes=2,
                       loss=dict(type='CrossEntropyLoss', loss_weight=1.0, class_weight=[0.0978, 0.9022])),
            'T2': dict(type='ModifiedLinearClsHead', p=0.2, num_classes=3,
                       loss=dict(type='CrossEntropyLoss', loss_weight=1.0, class_weight=[0.0382, 0.4865, 0.4753])),
        },
        in_channels=768,
    )
    )