# Copyright (c) OpenMMLab. All rights reserved.
from .auto_augment import (AutoAugment, AutoContrast, BaseAugTransform,
                           Brightness, ColorTransform, Contrast, Cutout,
                           Equalize, Invert, Posterize, RandAugment, Rotate,
                           Sharpness, Shear, Solarize, SolarizeAdd, Translate)
from .formatting import (Collect, PackClsInputs, PackMultiTaskInputs, ToNumpy,
                         ToPIL, Transpose)
from .processing import (Albumentations, ColorJitter, EfficientNetCenterCrop,
                         EfficientNetRandomCrop, Lighting, RandomCrop,
                         RandomErasing, RandomResizedCrop, ResizeEdge)

# OCT
from .formatting_OCT import LoadOCTImageFromFile, PackOCTInputs, SaveDebugOctImage, SaveDebugImage  # NEW
from .formatting_OCT import LoadPtFromFile, PADDING, NEWRandomCrop, SliceAug, RandomRotate  # NEW
from .formatting_OCT import Modified_PackMultiTaskInputs  # NEW
# fundus
from .formatting_fundus import LoadFundusImageFromFile, PackFundusClsInputs # NEW
from .processing_fundus import OctTransform, FundRandomRotate, CenterCropSquare, CenterPad, CLAHE, SLORandomPad  # NEW

# from .processing_OCT import OctTransform  # NEW

__all__ = [
    'ToPIL', 'ToNumpy', 'Transpose', 'Collect', 'RandomCrop',
    'RandomResizedCrop', 'Shear', 'Translate', 'Rotate', 'Invert',
    'ColorTransform', 'Solarize', 'Posterize', 'AutoContrast', 'Equalize',
    'Contrast', 'Brightness', 'Sharpness', 'AutoAugment', 'SolarizeAdd',
    'Cutout', 'RandAugment', 'Lighting', 'ColorJitter', 'RandomErasing',
    'PackClsInputs', 'Albumentations', 'EfficientNetRandomCrop',
    'EfficientNetCenterCrop', 'ResizeEdge', 'BaseAugTransform',
    'PackMultiTaskInputs', 'LoadOCTImageFromFile', 'PackOCTInputs'
]
