# Copyright (c) OpenMMLab. All rights reserved.
from .corruption_error import CorruptionError
from .multi_label import AveragePrecision, MultiLabelMetric
from .multi_task import MultiTasksMetric
from .retrieval import RetrievalRecall
from .single_label import Accuracy, ConfusionMatrix, SingleLabelMetric
from .voc_multi_label import VOCAveragePrecision, VOCMultiLabelMetric

# NEW
from .single_label2 import SingleLabelMetric2, AccuracyV3
from .fundus import Kappa, DumpCSVResults, SingleLabelMetric_V1
from .fundus import Accuracy_V1
from .fundus import FundusMultiTasksMetric, FundusMultiDatasetsEvaluator
from .fundus import SingleLabelMetric_V2, Kappa_V2
from .fundus import MultiDatasetsEvaluator

__all__ = [
    'Accuracy', 'SingleLabelMetric', 'MultiLabelMetric', 'AveragePrecision',
    'MultiTasksMetric', 'VOCAveragePrecision', 'VOCMultiLabelMetric',
    'RetrievalRecall', 'CorruptionError',
    'ConfusionMatrix'
]
