# Copyright (c) OpenMMLab. All rights reserved.
from .cls_head import ClsHead
from .conformer_head import ConformerHead
from .deit_head import DeiTClsHead
from .efficientformer_head import EfficientFormerClsHead
from .levit_head import LeViTClsHead
from .linear_head import LinearClsHead, ModifiedLinearClsHead, ModifiedLinearClsHead_AugLeaky  # new
from .margin_head import ArcFaceClsHead
from .multi_label_cls_head import MultiLabelClsHead
from .multi_label_csra_head import CSRAClsHead
from .multi_label_linear_head import MultiLabelLinearClsHead
from .multi_task_head import MultiTaskHead
from .stacked_head import StackedLinearClsHead
from .vig_head import VigClsHead
from .vision_transformer_head import VisionTransformerClsHead

# new
from .linear_head import ModifiedTaskSpecificMLPHead

__all__ = [
    'ClsHead',
    'LinearClsHead',
    'ModifiedLinearClsHead',  # new
    'StackedLinearClsHead',
    'MultiLabelClsHead',
    'MultiLabelLinearClsHead',
    'VisionTransformerClsHead',
    'DeiTClsHead',
    'ConformerHead',
    'EfficientFormerClsHead',
    'ArcFaceClsHead',
    'CSRAClsHead',
    'MultiTaskHead',
    'LeViTClsHead',
    'VigClsHead',
]
